Gradle sync failed: Could not find method google() for arguments [] on repository container.

Android Studio da update (3.1.2) geçtikten sonra projeler açılmamaya başladı. Aşağıdaki hatayı vermeye başladı. Android versiyonu ile gradle dosyası versiyonları uyumlu olmak zorunda.

 

Uyumluluk bilgileri bu linkte: https://developer.android.com/studio/releases/gradle-plugin

 

Gradle sync failed: Could not find method google() for arguments [] on repository container.

 

Çözüm için şunu denedim ve oldu:

  • gradle   –  wrapper     altında    gradle-wrapper.properties  dosyasını aç  ve en alt satırı alttaki ile değiş. En sonda gradle-4.1-all.zip var. daha güncel dosyası vrasa onu dene.
  • distributionUrl = https\://services.gradle.org/distributions/gradle-4.4-all.zip

Bir cevap yazın

E-posta hesabınız yayımlanmayacak. Gerekli alanlar * ile işaretlenmişlerdir